Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2691803002: Remove ScopedVector in //component/metrics (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 6 days ago by ke.he
Modified:
1 week, 2 days ago
CC:
chromium-reviews, oshima+watch_chromium.org, lcwu+watch_chromium.org, halliwell+watch_chromium.org, asvitkine+watch_chromium.org, alokp+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove ScopedVector in //component/metrics BUG=554289 Review-Url: https://codereview.chromium.org/2691803002 Cr-Commit-Position: refs/heads/master@{#450940} Committed: https://chromium.googlesource.com/chromium/src/+/a9da80c9e8fed7474456d88744dcb239dcf14198

Patch Set 1 #

Patch Set 2 : Remove ScopedVector in //component/metrics #

Patch Set 3 : Remove ScopedVector in //component/metrics #

Patch Set 4 : Remove ScopedVector in //component/metrics #

Total comments: 4

Patch Set 5 : eliminate implicit includes of <memory> and <vector> #

Patch Set 6 : code rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -77 lines) Patch
M chrome/browser/chromeos/external_metrics.cc View 1 2 3 4 5 2 chunks +4 lines, -4 lines 0 comments Download
M chromecast/browser/metrics/external_metrics.cc View 1 2 3 4 2 chunks +4 lines, -4 lines 0 comments Download
M components/metrics/daily_event.h View 2 chunks +2 lines, -2 lines 0 comments Download
M components/metrics/daily_event.cc View 1 chunk +1 line, -3 lines 0 comments Download
M components/metrics/metrics_log.h View 1 2 3 4 3 chunks +4 lines, -3 lines 0 comments Download
M components/metrics/metrics_log.cc View 1 2 3 4 4 chunks +3 lines, -5 lines 0 comments Download
M components/metrics/metrics_log_unittest.cc View 9 chunks +17 lines, -17 lines 0 comments Download
M components/metrics/metrics_service.h View 1 2 3 4 5 2 chunks +1 line, -2 lines 0 comments Download
M components/metrics/metrics_service.cc View 1 2 3 4 5 13 chunks +17 lines, -17 lines 0 comments Download
M components/metrics/metrics_service_unittest.cc View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M components/metrics/serialization/serialization_utils.h View 2 chunks +4 lines, -4 lines 0 comments Download
M components/metrics/serialization/serialization_utils.cc View 2 chunks +1 line, -5 lines 0 comments Download
M components/metrics/serialization/serialization_utils_unittest.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M ios/chrome/today_extension/today_metrics_logger.mm View 1 2 3 4 5 2 chunks +5 lines, -4 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 54 (37 generated)
ke.he
Hi, Mark, Could you PTAL on this? Thanks! https://codereview.chromium.org/2691803002/diff/60001/components/metrics/metrics_log.h File components/metrics/metrics_log.h (right): https://codereview.chromium.org/2691803002/diff/60001/components/metrics/metrics_log.h#newcode98 components/metrics/metrics_log.h:98: const ...
1 week, 6 days ago (2017-02-12 10:14:39 UTC) #18
Mark P
I know I'm an owner here, but most of those files I've never actually touched. ...
1 week, 5 days ago (2017-02-13 05:08:51 UTC) #19
ke.he
Hi, Isherman@, Could you PTAL on this, Thanks! Mark, Thanks!
1 week, 5 days ago (2017-02-13 05:21:07 UTC) #21
Ilya Sherman
Thanks for the cleanup! https://codereview.chromium.org/2691803002/diff/60001/chrome/browser/chromeos/external_metrics.cc File chrome/browser/chromeos/external_metrics.cc (right): https://codereview.chromium.org/2691803002/diff/60001/chrome/browser/chromeos/external_metrics.cc#newcode135 chrome/browser/chromeos/external_metrics.cc:135: std::vector<std::unique_ptr<metrics::MetricSample>> samples; Please #include <vector> ...
1 week, 5 days ago (2017-02-13 19:21:30 UTC) #22
ke.he
Isherman@, Thanks! CL is updated, PTAL. https://codereview.chromium.org/2691803002/diff/60001/chrome/browser/chromeos/external_metrics.cc File chrome/browser/chromeos/external_metrics.cc (right): https://codereview.chromium.org/2691803002/diff/60001/chrome/browser/chromeos/external_metrics.cc#newcode135 chrome/browser/chromeos/external_metrics.cc:135: std::vector<std::unique_ptr<metrics::MetricSample>> samples; On ...
1 week, 4 days ago (2017-02-14 04:24:14 UTC) #27
Ilya Sherman
LGTM, thanks!
1 week, 4 days ago (2017-02-14 21:55:01 UTC) #28
ke.he
Hi, Olivierrobin@, Could you PTAL on "ios/chrome/today_extension/today_metrics_logger.mm" Hi, Xiyuan@, Could you PTAL on "chrome/browser/chromeos/external_metrics.cc" Thanks ...
1 week, 3 days ago (2017-02-15 02:15:49 UTC) #30
Olivier Robin
today_extension LGTM
1 week, 3 days ago (2017-02-15 08:15:11 UTC) #31
xiyuan (ooo)
c/b/chromeos/external_metrics.cc lgtm
1 week, 3 days ago (2017-02-15 15:53:44 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691803002/80001
1 week, 2 days ago (2017-02-16 01:41:52 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/367526)
1 week, 2 days ago (2017-02-16 02:55:23 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691803002/80001
1 week, 2 days ago (2017-02-16 03:17:36 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
1 week, 2 days ago (2017-02-16 03:44:08 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691803002/80001
1 week, 2 days ago (2017-02-16 03:52:52 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/312043)
1 week, 2 days ago (2017-02-16 05:05:33 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691803002/100001
1 week, 2 days ago (2017-02-16 12:41:34 UTC) #51
commit-bot: I haz the power
1 week, 2 days ago (2017-02-16 12:45:55 UTC) #54
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/a9da80c9e8fed7474456d88744dc...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd